/*********************************************************************
 * \file   main.cpp
 *
 * \author Romain BOULLARD
 * \date   May 2026
 *********************************************************************/
#include <Utils/Log/LogMacros.hpp>
#include <Utils/TargetMacros.h>

#include <gtest/gtest.h>

int main(int argc, char** argv)
{
    testing::InitGoogleTest(&argc, argv);

    BIGFOOT_NOT_OPTIMIZED_ONLY(::Bigfoot::Singleton<::Bigfoot::Log>::Lifetime m_lifetime);

    return RUN_ALL_TESTS();
}
